<?php
// ivweather.class.php pulls free weather information from http://weather.interceptvector.com/
// Please visit that site and read about the service they provide.
// They gather weather information from around the world and provide it via xml feeds.
// 
// This example script illustrates some of the standard abilities of the class, namely
// getting weather information and making it available to your php script through the inclusion of
// ivweather.class.php, and instantiating an IVWeather object: $ivw = new IVWeather($uvw);
// You can pass a valid ivweather url to this script and display that location's weather 
// by setting the u parameter.  
// The test script is installed here: http://canyoncam.gizmola.com/test_ivweather.php
//
// For example: 
// http://canyoncam.gizmola.com/test_ivweather.php?u=http://weather.interceptvector.com/weather.xml?id=UlNYWDAxMTY%3D
// will display weather information for Vladivostok, Russia.  A listing of locations and their respective ivweather url's
// is available at http://weather.interceptvector.com/list.php.
//
// Note that state appears to be empty for non-US locations, and some information may not available depending 
// the location, or the current weather conditions.
//
// I make use in this demo of weather icon images from the interceptvector site, which correlate to the wid number.  
// If you intend to use these images, please copy them from the interceptvector page rather than referencing them
// directly as I've done in this test script.  Interceptvector has nice images in two sizes.
// Questions or comments can be left for me at http://forum.gizmola.com    	
// 
$uvw = $HTTP_GET_VARS["u"];

if (!isset($u)) {
// defaults to weather for Dublin, Ireland
	$uvw= "http://weather.interceptvector.com/weather.xml?id=RUlYWDAwMTQ%3D";
}
 	
require("ivweather.class.php");
echo "<h3>Test of IVWeather class</h3><br>";
$ivw = new IVWeather($uvw);
echo "Weather for ". $ivw->rWeatherLocale["city"]. "," . $ivw->rWeatherLocale["state"] . " " . $ivw->rWeatherLocale["country"] . " " . $ivw->rWeatherLocale["region"] . "<br>";
echo "Time: $ivw->wdate <br>";
echo $ivw->rTemp["temp"] . " degrees " . $ivw->rTemp["tempscale"] . " and $ivw->sky <img src=http://weather.interceptvector.com/common/weather/icons/".$ivw->wid.".gif><br>";
echo "Wind speed " . $ivw->rWind["strength"] . "mph from " . $ivw->getWinddecode() . "[" . $ivw->rWind["direction"] . "]<br>";
echo "UV: $ivw->uv Visibility $ivw->visibility <br>";
echo "Barometric pressure: ". $ivw->barometer . " and relative humidity of " . $ivw->humidity . "%<br>";

echo "<table>\n";
echo "<tr>";
for ($i=0; $i < $ivw->getForecastCount(); $i++) {
	echo "<td><b>" . $ivw->rForecast[$i]["day"] . "</b><br>". $ivw->rForecast[$i]["date"] ."<br>";
	echo "<img src=http://weather.interceptvector.com/common/weather/icons/".$ivw->rForecast[$i]["wid"].".gif><br>";
	echo $ivw->rForecast[$i]["sky"]."<br>high:".$ivw->rForecast[$i]["high"]."<br>low:".$ivw->rForecast[$i]["low"] . "<br>Chance Rain:".$ivw->rForecast[$i]["precipitation"]."%</td>";
}
echo "</tr>";
echo "</table>\n";
echo "Weather information provided by &nbsp<a href=" . $ivw->rProvider[0]["url"] . "><img border=0 src=\"" . $ivw->rProvider[0]["logo"] . "\" alt=\"". $ivw->rProvider[0]["name"] . "\"></a>";
echo " and &nbsp<a href=" . $ivw->rProvider[1]["url"] . "><img border=0 src=\"" . $ivw->rProvider[1]["logo"] . "\" alt=\"". $ivw->rProvider[1]["name"] . "\"></a><br>";

?>